<!--
<!--
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/order/dt_wcstaskinfo_hty.js此处编写
 -->
<template>
  <div>
    <view-grid
      :columns="columns"
      :detail="detail"
      :editFormFileds="editFormFileds"
      :editFormOptions="editFormOptions"
      :searchFormFileds="searchFormFileds"
      :searchFormOptions="searchFormOptions"
      :table="table"
      :extend="extend"
    >
    </view-grid>
  </div>
</template>

<script>
import extend from "@/extension/taskinfo/dt_wcstaskinfo_hty.js";
import ViewGrid from "@/components/basic/ViewGrid.vue";
var vueParam = {
  components: {
    ViewGrid,
  },
  data() {
    return {
      table: {
        key: "wcstask_id",
        footer: "Foots",
        cnName: "任务信息历史",
        name: "dt_wcstaskinfo_hty",
        url: "/dt_wcstaskinfo_hty/",
        sortName: "wcstask_finishtime",
      },
      extend: extend,
      editFormFileds: {},
      editFormOptions: [],
      searchFormFileds: {
        wcstask_barcode: "",
        wcstask_type: "",
        wcstask_materielid: "",
        wcstask_state: "",
      },
      searchFormOptions: [
        [
          { title: "托盘号", field: "wcstask_barcode", type: "like" },
          { title: "任务类型", field: "wcstask_type", type: "like" },
          { title: "任务状态", field: "wcstask_state", type: "like" },
        ],
        [{ title: "物料编号", field: "wcstask_materielid", type: "like" }],
      ],
      columns: [
        {
          field: "wcstask_id",
          title: "主键",
          type: "guid",
          width: 90,
          hidden: true,
          readonly: true,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_areid",
          title: "库区id",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          sortable: true,
          hidden: true,
        },
        {
          field: "wcstask_type",
          title: "任务类型",
          type: "string",
          width: 120,
          align: "left",
          bind: { key: "task_type", data: [] },
        },
        {
          field: "wcstask_state",
          title: "任务状态",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          bind: { key: "task_state", data: [] },
        },
        {
          field: "wcstask_stacker",
          title: "堆垛机",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_barcode",
          title: "托盘号",
          type: "string",
          width: 120,
          align: "left",
        },
        {
          field: "wcstask_materielid",
          title: "物料编号",
          type: "string",
          width: 120,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_qty",
          title: "任务数量",
          type: "decimal",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_sn",
          title: "条码标签",
          type: "string",
          width: 120,
          align: "left",
        },
        {
          field: "wcstask_lotnumber",
          title: "批次号",
          type: "string",
          width: 120,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_fromlocationid",
          title: "来源货位",
          type: "string",
          width: 120,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_outhsstation",
          title: "出库站台",
          type: "string",
          width: 90,
          align: "left",
          hidden: true,
        },
        {
          field: "wcstask_outstation",
          title: "出库口",
          type: "string",
          width: 90,
          require: true,
          align: "left",
          hidden: true,
        },
        {
          field: "wcstask_tolocationid",
          title: "目的货位",
          type: "string",
          width: 120,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_inhsstation",
          title: "入库站台",
          type: "string",
          width: 90,
          align: "left",
          hidden: true,
        },
        {
          field: "wcstask_instation",
          title: "入库口",
          type: "string",
          width: 90,
          require: true,
          align: "left",
          hidden: true,
        },
        {
          field: "wcstask_dispatchertime",
          title: "调度开始时间",
          type: "datetime",
          width: 150,
          require: true,
          align: "left",
          sortable: true,
        },
        {
          field: "wcstask_requestkey",
          title: "来源主键",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          hidden: true,
        },
        {
          field: "wcstask_isunpacked",
          title: "是否需要拆分",
          type: "bool",
          width: 90,
          require: true,
          align: "left",
          hidden: true,
        },
        {
          field: "wcstask_grade",
          title: "执行等级",
          type: "int",
          width: 90,
          align: "left",
        },
        {
          field: "wcstask_creator",
          title: "创建者",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_createtime",
          title: "创建时间",
          type: "datetime",
          width: 150,
          require: true,
          align: "left",
          sortable: true,
        },
        {
          field: "wcstask_finishtime",
          title: "完成时间",
          type: "datetime",
          width: 150,
          align: "left",
          sortable: true,
        },
        {
          field: "wcstask_operatetype",
          title: "操作类型",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_compeletor",
          title: "操作者",
          type: "string",
          width: 90,
          require: true,
          align: "left",
        },
        {
          field: "wcstask_sourceid",
          title: "原表头编号",
          type: "string",
          width: 120,
          require: true,
          align: "left",
          hidden: true,
        },
      ],
      detail: {
        cnName: "#detailCnName",
        columns: [],
        sortName: "",
        key: "",
      },
    };
  },
};
export default vueParam;
</script>
